import { Construct } from "constructs";
import { TerraformBackend } from "../terraform-backend";
import { TerraformRemoteState, DataTerraformRemoteStateConfig } from "../terraform-remote-state";
/**
 * @experimental
 */
export declare class ArtifactoryBackend extends TerraformBackend {
    private readonly props;
    /**
     * @experimental
     */
    constructor(scope: Construct, props: ArtifactoryBackendProps);
    /**
     * @experimental
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
/**
 * @experimental
 */
export declare class DataTerraformRemoteStateArtifactory extends TerraformRemoteState {
    /**
     * @experimental
     */
    constructor(scope: Construct, id: string, config: DataTerraformRemoteStateArtifactoryConfig);
}
/**
 * @experimental
 */
export interface ArtifactoryBackendProps {
    /**
     * @experimental
     */
    readonly username: string;
    /**
     * @experimental
     */
    readonly password: string;
    /**
     * @experimental
     */
    readonly url: string;
    /**
     * @experimental
     */
    readonly repo: string;
    /**
     * @experimental
     */
    readonly subpath: string;
}
/**
 * @experimental
 */
export interface DataTerraformRemoteStateArtifactoryConfig extends DataTerraformRemoteStateConfig, ArtifactoryBackendProps {
}
