import { Construct } from "constructs";
import { TerraformBackend } from "../terraform-backend";
import { TerraformRemoteState, DataTerraformRemoteStateConfig } from "../terraform-remote-state";
/**
 * @experimental
 */
export declare class AzurermBackend extends TerraformBackend {
    private readonly props;
    /**
     * @experimental
     */
    constructor(scope: Construct, props: AzurermBackendProps);
    /**
     * @experimental
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
/**
 * @experimental
 */
export declare class DataTerraformRemoteStateAzurerm extends TerraformRemoteState {
    /**
     * @experimental
     */
    constructor(scope: Construct, id: string, config: DataTerraformRemoteStateAzurermConfig);
}
/**
 * @experimental
 */
export interface AzurermBackendProps {
    /**
     * @experimental
     */
    readonly storageAccountName: string;
    /**
     * @experimental
     */
    readonly containerName: string;
    /**
     * @experimental
     */
    readonly key: string;
    /**
     * @experimental
     */
    readonly environment?: string;
    /**
     * @experimental
     */
    readonly endpoint?: string;
    /**
     * @experimental
     */
    readonly subscriptionId?: string;
    /**
     * @experimental
     */
    readonly tenantId?: string;
    /**
     * @experimental
     */
    readonly msiEndpoint?: string;
    /**
     * @experimental
     */
    readonly useMsi?: boolean;
    /**
     * @experimental
     */
    readonly sasToken?: string;
    /**
     * @experimental
     */
    readonly accessKey?: string;
    /**
     * @experimental
     */
    readonly resourceGroupName?: string;
    /**
     * @experimental
     */
    readonly clientId?: string;
    /**
     * @experimental
     */
    readonly clientSecret?: string;
}
/**
 * @experimental
 */
export interface DataTerraformRemoteStateAzurermConfig extends DataTerraformRemoteStateConfig, AzurermBackendProps {
}
