import { Construct } from "constructs";
import { TerraformBackend } from "../terraform-backend";
import { TerraformRemoteState, DataTerraformRemoteStateConfig } from "../terraform-remote-state";
/**
 * @experimental
 */
export declare class EtcdBackend extends TerraformBackend {
    private readonly props;
    /**
     * @experimental
     */
    constructor(scope: Construct, props: EtcdBackendProps);
    /**
     * @experimental
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
/**
 * @experimental
 */
export declare class DataTerraformRemoteStateEtcd extends TerraformRemoteState {
    /**
     * @experimental
     */
    constructor(scope: Construct, id: string, config: DataTerraformRemoteStateEtcdConfig);
}
/**
 * @experimental
 */
export interface EtcdBackendProps {
    /**
     * @experimental
     */
    readonly path: string;
    /**
     * @experimental
     */
    readonly endpoints: string;
    /**
     * @experimental
     */
    readonly username?: string;
    /**
     * @experimental
     */
    readonly password?: string;
}
/**
 * @experimental
 */
export interface DataTerraformRemoteStateEtcdConfig extends DataTerraformRemoteStateConfig, EtcdBackendProps {
}
