import { Construct } from "constructs";
import { TerraformBackend } from "../terraform-backend";
import { TerraformRemoteState, DataTerraformRemoteStateConfig } from "../terraform-remote-state";
/**
 * @experimental
 */
export declare class GcsBackend extends TerraformBackend {
    private readonly props;
    /**
     * @experimental
     */
    constructor(scope: Construct, props: GcsBackendProps);
    /**
     * @experimental
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
/**
 * @experimental
 */
export declare class DataTerraformRemoteStateGcs extends TerraformRemoteState {
    /**
     * @experimental
     */
    constructor(scope: Construct, id: string, config: DataTerraformRemoteStateGcsConfig);
}
/**
 * @experimental
 */
export interface GcsBackendProps {
    /**
     * @experimental
     */
    readonly bucket: string;
    /**
     * @experimental
     */
    readonly credentials?: string;
    /**
     * @experimental
     */
    readonly accessToken?: string;
    /**
     * @experimental
     */
    readonly prefix?: string;
    /**
     * @experimental
     */
    readonly encryptionKey?: string;
}
/**
 * @experimental
 */
export interface DataTerraformRemoteStateGcsConfig extends DataTerraformRemoteStateConfig, GcsBackendProps {
}
