import { Construct } from "constructs";
import { TerraformBackend } from "../terraform-backend";
import { TerraformRemoteState, DataTerraformRemoteStateConfig } from "../terraform-remote-state";
/**
 * @experimental
 */
export declare class MantaBackend extends TerraformBackend {
    private readonly props;
    /**
     * @experimental
     */
    constructor(scope: Construct, props: MantaBackendProps);
    /**
     * @experimental
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
/**
 * @experimental
 */
export declare class DataTerraformRemoteStateManta extends TerraformRemoteState {
    /**
     * @experimental
     */
    constructor(scope: Construct, id: string, config: DataTerraformRemoteStateMantaConfig);
}
/**
 * @experimental
 */
export interface MantaBackendProps {
    /**
     * @experimental
     */
    readonly account: string;
    /**
     * @experimental
     */
    readonly user?: string;
    /**
     * @experimental
     */
    readonly url?: string;
    /**
     * @experimental
     */
    readonly keyMaterial?: string;
    /**
     * @experimental
     */
    readonly keyId: string;
    /**
     * @experimental
     */
    readonly insecureSkipTlsVerify?: boolean;
    /**
     * @experimental
     */
    readonly path: string;
    /**
     * @experimental
     */
    readonly objectName?: string;
}
/**
 * @experimental
 */
export interface DataTerraformRemoteStateMantaConfig extends DataTerraformRemoteStateConfig, MantaBackendProps {
}
