import { Construct, IConstruct } from "constructs";
import { TerraformStack } from "./terraform-stack";
/**
 * @experimental
 */
export interface IResource extends IConstruct {
    /**
     * (experimental) The stack in which this resource is defined.
     *
     * @experimental
     */
    readonly stack: TerraformStack;
}
/**
 * @experimental
 */
export interface IResourceConstructor<T extends IResource> {
    new (scope: Construct, id: string, ...args: any[]): T;
}
/**
 * (experimental) A construct which represents a resource.
 *
 * @experimental
 */
export declare abstract class Resource extends Construct implements IResource {
    /**
     * (experimental) The stack in which this resource is defined.
     *
     * @experimental
     */
    readonly stack: TerraformStack;
    /**
     * @experimental
     */
    constructor(scope: Construct, id: string);
}
