import { Construct } from "constructs";
import { TerraformElement } from "./terraform-element";
/**
 * @experimental
 */
export interface DataTerraformRemoteStateConfig {
    /**
     * @experimental
     */
    readonly workspace?: string;
    /**
     * @experimental
     */
    readonly defaults?: {
        [key: string]: any;
    };
}
/**
 * @experimental
 */
export declare abstract class TerraformRemoteState extends TerraformElement {
    private readonly backend;
    private readonly config;
    /**
     * @experimental
     */
    constructor(scope: Construct, id: string, backend: string, config: DataTerraformRemoteStateConfig);
    /**
     * @experimental
     */
    getString(output: string): string;
    /**
     * @experimental
     */
    getNumber(output: string): number;
    /**
     * @experimental
     */
    getList(output: string): string[];
    /**
     * @experimental
     */
    getBoolean(output: string): boolean;
    /**
     * @experimental
     */
    get(output: string): any;
    private interpolationForAttribute;
    private extractConfig;
    /**
     * (experimental) Adds this resource to the terraform JSON output.
     *
     * @experimental
     */
    toTerraform(): any;
    /**
     * @experimental
     */
    toMetadata(): any;
}
