import { App } from "../../lib";
import { TerraformStack } from "../terraform-stack";
import { IConstruct, Construct } from "constructs";
/**
 * @experimental
 */
export interface IScopeCallback {
    (scope: Construct): void;
}
/**
 * (experimental) Testing utilities for cdktf applications.
 *
 * @experimental
 */
export declare class Testing {
    /**
     * (experimental) Returns an app for testing with the following properties: - Output directory is a temp dir.
     *
     * @experimental
     */
    static app(): App;
    /**
     * @experimental
     */
    static stubVersion(app: App): App;
    /**
     * @experimental
     */
    static enableFutureFlags(app: App): App;
    /**
     * @experimental
     */
    static synthScope(fn: IScopeCallback): string;
    /**
     * (experimental) Returns the Terraform synthesized JSON.
     *
     * @experimental
     */
    static synth(stack: TerraformStack): string;
    /**
     * @experimental
     */
    static fullSynth(stack: TerraformStack): string;
    /**
     * @experimental
     */
    static renderConstructTree(construct: IConstruct): string;
    /**
     * @experimental
     */
    static setupJest(): void;
    private constructor();
}
